> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple associations between CRM objects

> Create multiple associations between CRM objects. The JSON data in the PUT request would be a list of associations, with each one representing a single association between 2 objects (for example, a ticket to a contact). To associate one object with multiple other objects (i.e. to associate a ticket with 2 different contacts), you would need to include multiple association entries (one for associating the ticket with contact A, and another to associate the ticket with contact B). Up to 100 associations may be created in a single request.



## OpenAPI

````yaml specs/legacy/v1/crm-associations-v1.json PUT /crm-associations/v1/associations/create-batch
openapi: 3.0.0
info:
  title: CRM Associations API v1
  version: 1.0.0
  description: Legacy CRM Associations API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-associations/v1/associations/create-batch:
    put:
      summary: Create multiple associations between CRM objects
      description: >-
        Create multiple associations between CRM objects. The JSON data in the
        PUT request would be a list of associations, with each one representing
        a single association between 2 objects (for example, a ticket to a
        contact). To associate one object with multiple other objects (i.e. to
        associate a ticket with 2 different contacts), you would need to include
        multiple association entries (one for associating the ticket with
        contact A, and another to associate the ticket with contact B). Up to
        100 associations may be created in a single request.
      operationId: putcrmassociationsv1associationscreatebatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                required:
                  - fromObjectId
                  - toObjectId
                  - category
                  - definitionId
                properties:
                  fromObjectId:
                    type: string
                    description: The ID of the object being associated.
                  toObjectId:
                    type: string
                    description: >-
                      The ID of the object the from object is being associated
                      with.
                  category:
                    type: string
                    description: >-
                      The category of the association. Currently this must be
                      "HUBSPOT_DEFINED"
                  definitionId:
                    type: string
                    description: >-
                      The ID of the association definition. See the [table on
                      the overview
                      page](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4)
                      for a list of those IDs.
      responses:
        '200':
          description: >-
            Successful response - Create multiple associations between CRM
            objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create multiple associations between CRM objects - Example 1
                  value:
                    - fromObjectId: 496346
                      toObjectId: 176602
                      category: HUBSPOT_DEFINED
                      definitionId: 15
                    - fromObjectId: 491646
                      toObjectId: 176602
                      category: HUBSPOT_DEFINED
                      definitionId: 15

````